1# Makefile.in generated by automake 1.9.6 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Makefile for library files used by GNU CVS.
18#
19# Copyright (C) 1986-2005 The Free Software Foundation, Inc.
20#
21# Portions Copyright (C) 1998-2005 Derek Price, Ximbiot <http://ximbiot.com>,
22#                                  and others.
23
24# This program is free software; you can redistribute it and/or modify
25# it under the terms of the GNU General Public License as published by
26# the Free Software Foundation; either version 2, or (at your option)
27# any later version.
28
29# This program is distributed in the hope that it will be useful,
30# but WITHOUT ANY WARRANTY; without even the implied warranty of
31# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
32# GNU General Public License for more details.
33
34srcdir = @srcdir@
35top_srcdir = @top_srcdir@
36VPATH = @srcdir@
37pkgdatadir = $(datadir)/@PACKAGE@
38pkglibdir = $(libdir)/@PACKAGE@
39pkgincludedir = $(includedir)/@PACKAGE@
40top_builddir = ..
41am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
42INSTALL = @INSTALL@
43install_sh_DATA = $(install_sh) -c -m 644
44install_sh_PROGRAM = $(install_sh) -c
45install_sh_SCRIPT = $(install_sh) -c
46INSTALL_HEADER = $(INSTALL_DATA)
47transform = $(program_transform_name)
48NORMAL_INSTALL = :
49PRE_INSTALL = :
50POST_INSTALL = :
51NORMAL_UNINSTALL = :
52PRE_UNINSTALL = :
53POST_UNINSTALL = :
54build_triplet = @build@
55host_triplet = @host@
56check_PROGRAMS = getdate$(EXEEXT)
57subdir = lib
58DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
59	ChangeLog __fpending.c __fpending.h alloca.c asnprintf.c \
60	asprintf.c atexit.c canon-host.c canon-host.h canonicalize.c \
61	canonicalize.h chdir-long.c chdir-long.h closeout.c closeout.h \
62	dirname.c dirname.h dup-safer.c dup2.c exitfail.c exitfail.h \
63	fd-safer.c filenamecat.c filenamecat.h fncase.c fnmatch.c \
64	fseeko.c ftello.c ftruncate.c gai_strerror.c getaddrinfo.c \
65	getcwd.c getcwd.h getdate.c getdate.h getdate.y getdelim.c \
66	getdelim.h gethostname.c getline.c getline.h getlogin_r.c \
67	getlogin_r.h getndelim2.c getopt.c getopt1.c getpagesize.h \
68	getpass.c getpass.h gettime.c gettimeofday.c glob-libc.h \
69	glob.c glob_.h lstat.c lstat.h malloc.c mbchar.c mbchar.h \
70	md5.c md5.h memchr.c memmove.c mempcpy.c mempcpy.h memrchr.c \
71	memrchr.h mkdir.c mkstemp.c mktime.c nanosleep.c openat.c \
72	openat.h pagealign_alloc.c pagealign_alloc.h pathmax.h \
73	pipe-safer.c printf-args.c printf-parse.c quotearg.c \
74	quotearg.h readlink.c realloc.c regcomp.c regex.c regex.h \
75	regex_internal.c regex_internal.h regexec.c rename.c rpmatch.c \
76	save-cwd.c save-cwd.h setenv.c stat-macros.h strcasecmp.c \
77	strdup.c strdup.h strerror.c strftime.c strftime.h \
78	strncasecmp.c strstr.c strtol.c strtoul.c sunos57-select.c \
79	tempname.c time_r.c timespec.h unistd--.h unistd-safer.h \
80	unlocked-io.h unsetenv.c vasnprintf.c vasprintf.c waitpid.c \
81	xalloc.h xgetcwd.c xgetcwd.h xmalloc.c yesno.c yesno.h
82ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
83am__aclocal_m4_deps = $(top_srcdir)/m4/acx_extract_cpp_defn.m4 \
84	$(top_srcdir)/m4/acx_with_external_zlib.m4 \
85	$(top_srcdir)/m4/acx_with_gssapi.m4 $(top_srcdir)/m4/alloca.m4 \
86	$(top_srcdir)/m4/allocsa.m4 \
87	$(top_srcdir)/m4/asx_version_compare.m4 \
88	$(top_srcdir)/m4/atexit.m4 $(top_srcdir)/m4/bison.m4 \
89	$(top_srcdir)/m4/canon-host.m4 \
90	$(top_srcdir)/m4/canonicalize.m4 \
91	$(top_srcdir)/m4/chdir-long.m4 $(top_srcdir)/m4/clock_time.m4 \
92	$(top_srcdir)/m4/closeout.m4 $(top_srcdir)/m4/codeset.m4 \
93	$(top_srcdir)/m4/cvs_func_printf_ptr.m4 \
94	$(top_srcdir)/m4/d-ino.m4 $(top_srcdir)/m4/d-type.m4 \
95	$(top_srcdir)/m4/dirname.m4 $(top_srcdir)/m4/dos.m4 \
96	$(top_srcdir)/m4/dup2.m4 $(top_srcdir)/m4/eealloc.m4 \
97	$(top_srcdir)/m4/eoverflow.m4 $(top_srcdir)/m4/error.m4 \
98	$(top_srcdir)/m4/exitfail.m4 $(top_srcdir)/m4/extensions.m4 \
99	$(top_srcdir)/m4/filenamecat.m4 $(top_srcdir)/m4/fnmatch.m4 \
100	$(top_srcdir)/m4/fpending.m4 $(top_srcdir)/m4/ftruncate.m4 \
101	$(top_srcdir)/m4/getaddrinfo.m4 \
102	$(top_srcdir)/m4/getcwd-path-max.m4 $(top_srcdir)/m4/getcwd.m4 \
103	$(top_srcdir)/m4/getdate.m4 $(top_srcdir)/m4/getdelim.m4 \
104	$(top_srcdir)/m4/gethostname.m4 $(top_srcdir)/m4/getline.m4 \
105	$(top_srcdir)/m4/getlogin_r.m4 $(top_srcdir)/m4/getndelim2.m4 \
106	$(top_srcdir)/m4/getnline.m4 $(top_srcdir)/m4/getopt.m4 \
107	$(top_srcdir)/m4/getpagesize.m4 $(top_srcdir)/m4/getpass.m4 \
108	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gettime.m4 \
109	$(top_srcdir)/m4/gettimeofday.m4 $(top_srcdir)/m4/glob.m4 \
110	$(top_srcdir)/m4/gnulib-comp.m4 $(top_srcdir)/m4/iconv.m4 \
111	$(top_srcdir)/m4/intmax_t.m4 $(top_srcdir)/m4/inttypes.m4 \
112	$(top_srcdir)/m4/inttypes_h.m4 $(top_srcdir)/m4/lib-ld.m4 \
113	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
114	$(top_srcdir)/m4/longdouble.m4 $(top_srcdir)/m4/longlong.m4 \
115	$(top_srcdir)/m4/lstat.m4 $(top_srcdir)/m4/mbchar.m4 \
116	$(top_srcdir)/m4/mbiter.m4 $(top_srcdir)/m4/mbrtowc.m4 \
117	$(top_srcdir)/m4/mbstate_t.m4 $(top_srcdir)/m4/md5.m4 \
118	$(top_srcdir)/m4/memchr.m4 $(top_srcdir)/m4/memmove.m4 \
119	$(top_srcdir)/m4/mempcpy.m4 $(top_srcdir)/m4/memrchr.m4 \
120	$(top_srcdir)/m4/minmax.m4 $(top_srcdir)/m4/mkdir-slash.m4 \
121	$(top_srcdir)/m4/mkstemp.m4 $(top_srcdir)/m4/mktime.m4 \
122	$(top_srcdir)/m4/mmap-anon.m4 $(top_srcdir)/m4/nanosleep.m4 \
123	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/onceonly_2_57.m4 \
124	$(top_srcdir)/m4/openat.m4 $(top_srcdir)/m4/pagealign_alloc.m4 \
125	$(top_srcdir)/m4/pathmax.m4 $(top_srcdir)/m4/po.m4 \
126	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/quotearg.m4 \
127	$(top_srcdir)/m4/readlink.m4 $(top_srcdir)/m4/regex.m4 \
128	$(top_srcdir)/m4/rename.m4 $(top_srcdir)/m4/restrict.m4 \
129	$(top_srcdir)/m4/rpmatch.m4 $(top_srcdir)/m4/save-cwd.m4 \
130	$(top_srcdir)/m4/setenv.m4 $(top_srcdir)/m4/signed.m4 \
131	$(top_srcdir)/m4/size_max.m4 $(top_srcdir)/m4/sockpfaf.m4 \
132	$(top_srcdir)/m4/ssize_t.m4 $(top_srcdir)/m4/stat-macros.m4 \
133	$(top_srcdir)/m4/stdbool.m4 $(top_srcdir)/m4/stdint.m4 \
134	$(top_srcdir)/m4/stdint_h.m4 $(top_srcdir)/m4/strcase.m4 \
135	$(top_srcdir)/m4/strdup.m4 $(top_srcdir)/m4/strerror.m4 \
136	$(top_srcdir)/m4/strftime.m4 $(top_srcdir)/m4/strstr.m4 \
137	$(top_srcdir)/m4/strtol.m4 $(top_srcdir)/m4/strtoul.m4 \
138	$(top_srcdir)/m4/sunos57-select.m4 $(top_srcdir)/m4/time_r.m4 \
139	$(top_srcdir)/m4/timespec.m4 $(top_srcdir)/m4/tm_gmtoff.m4 \
140	$(top_srcdir)/m4/tzset.m4 $(top_srcdir)/m4/uint32_t.m4 \
141	$(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/ulonglong.m4 \
142	$(top_srcdir)/m4/unistd-safer.m4 \
143	$(top_srcdir)/m4/unlocked-io.m4 $(top_srcdir)/m4/vasnprintf.m4 \
144	$(top_srcdir)/m4/vasprintf.m4 $(top_srcdir)/m4/wchar_t.m4 \
145	$(top_srcdir)/m4/wint_t.m4 $(top_srcdir)/m4/xalloc.m4 \
146	$(top_srcdir)/m4/xgetcwd.m4 $(top_srcdir)/m4/xreadlink.m4 \
147	$(top_srcdir)/m4/xsize.m4 $(top_srcdir)/m4/yesno.m4 \
148	$(top_srcdir)/configure.in
149am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
150	$(ACLOCAL_M4)
151mkinstalldirs = $(install_sh) -d
152CONFIG_HEADER = $(top_builddir)/config.h
153CONFIG_CLEAN_FILES =
154LIBRARIES = $(noinst_LIBRARIES)
155AR = ar
156ARFLAGS = cru
157libcvs_a_AR = $(AR) $(ARFLAGS)
158libcvs_a_DEPENDENCIES = @LIBOBJS@ @ALLOCA@
159am_libcvs_a_OBJECTS = sighandle.$(OBJEXT) allocsa.$(OBJEXT) \
160	cycle-check.$(OBJEXT) basename.$(OBJEXT) stripslash.$(OBJEXT) \
161	getnline.$(OBJEXT) strnlen1.$(OBJEXT) xalloc-die.$(OBJEXT) \
162	xgethostname.$(OBJEXT) xreadlink.$(OBJEXT)
163libcvs_a_OBJECTS = $(am_libcvs_a_OBJECTS)
164am_getdate_OBJECTS = getdate-error.$(OBJEXT) getdate-getdate.$(OBJEXT) \
165	getdate-progname.$(OBJEXT)
166getdate_OBJECTS = $(am_getdate_OBJECTS)
167am__DEPENDENCIES_1 = libcvs.a
168am__DEPENDENCIES_2 =
169getdate_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2) \
170	$(am__DEPENDENCIES_2)
171DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
172depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
173am__depfiles_maybe = depfiles
174COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
175	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
176CCLD = $(CC)
177LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
178YACCCOMPILE = $(YACC) $(YFLAGS) $(AM_YFLAGS)
179YLWRAP = $(top_srcdir)/build-aux/ylwrap
180SOURCES = $(libcvs_a_SOURCES) $(getdate_SOURCES)
181DIST_SOURCES = $(libcvs_a_SOURCES) $(getdate_SOURCES)
182ETAGS = etags
183CTAGS = ctags
184DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
185ACLOCAL = @ACLOCAL@
186ALLOCA = @ALLOCA@
187ALLOCA_H = @ALLOCA_H@
188AMDEP_FALSE = @AMDEP_FALSE@
189AMDEP_TRUE = @AMDEP_TRUE@
190AMTAR = @AMTAR@
191AUTOCONF = @AUTOCONF@
192AUTOHEADER = @AUTOHEADER@
193AUTOMAKE = @AUTOMAKE@
194AWK = @AWK@
195CC = @CC@
196CCDEPMODE = @CCDEPMODE@
197CFLAGS = @CFLAGS@
198CPP = @CPP@
199CPPFLAGS = @CPPFLAGS@
200CSH = @CSH@
201CYGPATH_W = @CYGPATH_W@
202DEFS = @DEFS@
203DEPDIR = @DEPDIR@
204ECHO_C = @ECHO_C@
205ECHO_N = @ECHO_N@
206ECHO_T = @ECHO_T@
207EDITOR = @EDITOR@
208EGREP = @EGREP@
209EOVERFLOW = @EOVERFLOW@
210EXEEXT = @EXEEXT@
211FNMATCH_H = @FNMATCH_H@
212GETOPT_H = @GETOPT_H@
213GLOB_H = @GLOB_H@
214GMSGFMT = @GMSGFMT@
215HAVE_LONG_64BIT = @HAVE_LONG_64BIT@
216HAVE_LONG_LONG_64BIT = @HAVE_LONG_LONG_64BIT@
217HAVE__BOOL = @HAVE__BOOL@
218INSTALL_DATA = @INSTALL_DATA@
219INSTALL_PROGRAM = @INSTALL_PROGRAM@
220INSTALL_SCRIPT = @INSTALL_SCRIPT@
221INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
222INTLLIBS = @INTLLIBS@
223INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
224KRB4 = @KRB4@
225LDFLAGS = @LDFLAGS@
226LIBICONV = @LIBICONV@
227LIBINTL = @LIBINTL@
228LIBOBJS = @LIBOBJS@
229LIBS = @LIBS@
230LIB_CLOCK_GETTIME = @LIB_CLOCK_GETTIME@
231LIB_NANOSLEEP = @LIB_NANOSLEEP@
232LN_S = @LN_S@
233LTLIBICONV = @LTLIBICONV@
234LTLIBINTL = @LTLIBINTL@
235LTLIBOBJS = @LTLIBOBJS@
236MAINT = @MAINT@
237MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
238MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
239MAKEINFO = @MAKEINFO@
240MAKE_TARGETS_IN_VPATH_FALSE = @MAKE_TARGETS_IN_VPATH_FALSE@
241MAKE_TARGETS_IN_VPATH_TRUE = @MAKE_TARGETS_IN_VPATH_TRUE@
242MKINSTALLDIRS = @MKINSTALLDIRS@
243MKTEMP = @MKTEMP@
244MSGFMT = @MSGFMT@
245MSGMERGE = @MSGMERGE@
246OBJEXT = @OBJEXT@
247PACKAGE = @PACKAGE@
248PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
249PACKAGE_NAME = @PACKAGE_NAME@
250PACKAGE_STRING = @PACKAGE_STRING@
251PACKAGE_TARNAME = @PACKAGE_TARNAME@
252PACKAGE_VERSION = @PACKAGE_VERSION@
253PATH_SEPARATOR = @PATH_SEPARATOR@
254PERL = @PERL@
255POSUB = @POSUB@
256PR = @PR@
257PS2PDF = @PS2PDF@
258RANLIB = @RANLIB@
259ROFF = @ROFF@
260RSH_DFLT = @RSH_DFLT@
261SENDMAIL = @SENDMAIL@
262SET_MAKE = @SET_MAKE@
263SHELL = @SHELL@
264STDBOOL_H = @STDBOOL_H@
265STDINT_H = @STDINT_H@
266STRIP = @STRIP@
267TEXI2DVI = @TEXI2DVI@
268USE_NLS = @USE_NLS@
269VERSION = @VERSION@
270XGETTEXT = @XGETTEXT@
271YACC = @YACC@
272YFLAGS = @YFLAGS@
273ZLIB_CPPFLAGS = @ZLIB_CPPFLAGS@
274ZLIB_LIBS = @ZLIB_LIBS@
275ZLIB_SUBDIRS = @ZLIB_SUBDIRS@
276ac_ct_CC = @ac_ct_CC@
277ac_ct_RANLIB = @ac_ct_RANLIB@
278ac_ct_STRIP = @ac_ct_STRIP@
279ac_prefix_program = @ac_prefix_program@
280am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
281am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
282am__include = @am__include@
283am__leading_dot = @am__leading_dot@
284am__quote = @am__quote@
285am__tar = @am__tar@
286am__untar = @am__untar@
287bindir = @bindir@
288build = @build@
289build_alias = @build_alias@
290build_cpu = @build_cpu@
291build_os = @build_os@
292build_vendor = @build_vendor@
293cvs_client_objects = @cvs_client_objects@
294datadir = @datadir@
295exec_prefix = @exec_prefix@
296host = @host@
297host_alias = @host_alias@
298host_cpu = @host_cpu@
299host_os = @host_os@
300host_vendor = @host_vendor@
301includedir = @includedir@
302infodir = @infodir@
303install_sh = @install_sh@
304libdir = @libdir@
305libexecdir = @libexecdir@
306localstatedir = @localstatedir@
307mandir = @mandir@
308mkdir_p = @mkdir_p@
309oldincludedir = @oldincludedir@
310prefix = @prefix@
311program_transform_name = @program_transform_name@
312sbindir = @sbindir@
313sharedstatedir = @sharedstatedir@
314sysconfdir = @sysconfdir@
315target_alias = @target_alias@
316with_default_rsh = @with_default_rsh@
317noinst_LIBRARIES = libcvs.a
318
319# Should look into unifying regular expression matching in CVS
320# with the diff library (perhaps to have the caller, CVS, do the
321# matching?)
322libcvs_a_SOURCES = sighandle.c system.h wait.h xselect.h xtime.h \
323	allocsa.h allocsa.c cycle-check.c cycle-check.h dev-ino.h \
324	basename.c stripslash.c error.h exit.h getaddrinfo.h \
325	getnline.h getnline.c gettext.h mbuiter.h minmax.h setenv.h \
326	size_max.h strcase.h strnlen1.h strnlen1.c strstr.h time_r.h \
327	printf-args.h printf-parse.h vasnprintf.h vasprintf.h \
328	xalloc-die.c xgethostname.h xgethostname.c xreadlink.h \
329	xreadlink.c xsize.h
330libcvs_a_LIBADD = @LIBOBJS@ @ALLOCA@
331BUILT_SOURCES = $(ALLOCA_H) $(FNMATCH_H) getdate.c $(GETOPT_H) \
332	$(GLOB_H) $(STDBOOL_H) $(STDINT_H)
333MOSTLYCLEANFILES = alloca.h alloca.h-t fnmatch.h fnmatch.h-t \
334	getdate-expected getdate-got getdate.diff getopt.h getopt.h-t \
335	glob.h glob.h-t stdbool.h stdbool.h-t stdint.h stdint.h-t
336DISTCLEANFILES = getdate.log
337MAINTAINERCLEANFILES = getdate.c
338TESTS = test-getdate.sh
339EXTRA_DIST = .cvsignore ChangeLog.fsf Makefile.gnulib build_lib.com \
340	libcvs.dep libcvs.dsp libcvs.mak test-getdate.sh alloca_.h \
341	allocsa.valgrind fnmatch_.h fnmatch_loop.c getdate.c \
342	getndelim2.h getndelim2.c getopt_.h getopt_int.h stdbool_.h \
343	stdint_.h
344getdate_SOURCES = error.c getdate.y progname.c
345getdate_CPPFLAGS = -DTEST
346getdate_LDADD = \
347	$(noinst_LIBRARIES) \
348	$(LIB_CLOCK_GETTIME) \
349	$(LIBINTL)
350
351all: $(BUILT_SOURCES)
352	$(MAKE) $(AM_MAKEFLAGS) all-am
353
354.SUFFIXES:
355.SUFFIXES: .c .o .obj .y
356$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
357	@for dep in $?; do \
358	  case '$(am__configure_deps)' in \
359	    *$$dep*) \
360	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
361		&& exit 0; \
362	      exit 1;; \
363	  esac; \
364	done; \
365	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  lib/Makefile'; \
366	cd $(top_srcdir) && \
367	  $(AUTOMAKE) --gnu  lib/Makefile
368.PRECIOUS: Makefile
369Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
370	@case '$?' in \
371	  *config.status*) \
372	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
373	  *) \
374	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
375	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
376	esac;
377
378$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
379	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
380
381$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
382	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
383$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
384	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
385
386clean-noinstLIBRARIES:
387	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
388libcvs.a: $(libcvs_a_OBJECTS) $(libcvs_a_DEPENDENCIES)
389	-rm -f libcvs.a
390	$(libcvs_a_AR) libcvs.a $(libcvs_a_OBJECTS) $(libcvs_a_LIBADD)
391	$(RANLIB) libcvs.a
392
393clean-checkPROGRAMS:
394	-test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
395getdate$(EXEEXT): $(getdate_OBJECTS) $(getdate_DEPENDENCIES)
396	@rm -f getdate$(EXEEXT)
397	$(LINK) $(getdate_LDFLAGS) $(getdate_OBJECTS) $(getdate_LDADD) $(LIBS)
398
399mostlyclean-compile:
400	-rm -f *.$(OBJEXT)
401
402distclean-compile:
403	-rm -f *.tab.c
404
405@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/__fpending.Po@am__quote@
406@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/alloca.Po@am__quote@
407@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/asnprintf.Po@am__quote@
408@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/asprintf.Po@am__quote@
409@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/atexit.Po@am__quote@
410@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/canon-host.Po@am__quote@
411@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/canonicalize.Po@am__quote@
412@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/chdir-long.Po@am__quote@
413@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/closeout.Po@am__quote@
414@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/dirname.Po@am__quote@
415@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/dup-safer.Po@am__quote@
416@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/dup2.Po@am__quote@
417@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/exitfail.Po@am__quote@
418@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/fd-safer.Po@am__quote@
419@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/filenamecat.Po@am__quote@
420@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/fncase.Po@am__quote@
421@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/fnmatch.Po@am__quote@
422@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/fseeko.Po@am__quote@
423@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ftello.Po@am__quote@
424@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ftruncate.Po@am__quote@
425@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/gai_strerror.Po@am__quote@
426@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getaddrinfo.Po@am__quote@
427@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getcwd.Po@am__quote@
428@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getdate.Po@am__quote@
429@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getdate.y@am__quote@
430@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getdelim.Po@am__quote@
431@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/gethostname.Po@am__quote@
432@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getline.Po@am__quote@
433@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getlogin_r.Po@am__quote@
434@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getndelim2.Po@am__quote@
435@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getopt.Po@am__quote@
436@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getopt1.Po@am__quote@
437@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getpass.Po@am__quote@
438@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/gettime.Po@am__quote@
439@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/gettimeofday.Po@am__quote@
440@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/glob.Po@am__quote@
441@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/lstat.Po@am__quote@
442@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/malloc.Po@am__quote@
443@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mbchar.Po@am__quote@
444@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/md5.Po@am__quote@
445@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/memchr.Po@am__quote@
446@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/memmove.Po@am__quote@
447@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mempcpy.Po@am__quote@
448@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/memrchr.Po@am__quote@
449@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mkdir.Po@am__quote@
450@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mkstemp.Po@am__quote@
451@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mktime.Po@am__quote@
452@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/nanosleep.Po@am__quote@
453@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/openat.Po@am__quote@
454@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/pagealign_alloc.Po@am__quote@
455@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/pipe-safer.Po@am__quote@
456@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/printf-args.Po@am__quote@
457@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/printf-parse.Po@am__quote@
458@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/quotearg.Po@am__quote@
459@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/readlink.Po@am__quote@
460@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/realloc.Po@am__quote@
461@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/regcomp.Po@am__quote@
462@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/regex.Po@am__quote@
463@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/regex_internal.Po@am__quote@
464@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/regexec.Po@am__quote@
465@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/rename.Po@am__quote@
466@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/rpmatch.Po@am__quote@
467@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/save-cwd.Po@am__quote@
468@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/setenv.Po@am__quote@
469@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strcasecmp.Po@am__quote@
470@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strdup.Po@am__quote@
471@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strerror.Po@am__quote@
472@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strftime.Po@am__quote@
473@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strncasecmp.Po@am__quote@
474@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strstr.Po@am__quote@
475@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strtol.Po@am__quote@
476@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strtoul.Po@am__quote@
477@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/sunos57-select.Po@am__quote@
478@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/tempname.Po@am__quote@
479@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/time_r.Po@am__quote@
480@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/unsetenv.Po@am__quote@
481@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/vasnprintf.Po@am__quote@
482@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/vasprintf.Po@am__quote@
483@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/waitpid.Po@am__quote@
484@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/xgetcwd.Po@am__quote@
485@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/xmalloc.Po@am__quote@
486@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/yesno.Po@am__quote@
487@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/allocsa.Po@am__quote@
488@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basename.Po@am__quote@
489@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cycle-check.Po@am__quote@
490@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getdate-error.Po@am__quote@
491@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getdate-getdate.Po@am__quote@
492@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getdate-progname.Po@am__quote@
493@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getnline.Po@am__quote@
494@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sighandle.Po@am__quote@
495@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stripslash.Po@am__quote@
496@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/strnlen1.Po@am__quote@
497@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xalloc-die.Po@am__quote@
498@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xgethostname.Po@am__quote@
499@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xreadlink.Po@am__quote@
500
501.c.o:
502@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
503@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
504@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
505@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
506@am__fastdepCC_FALSE@	$(COMPILE) -c $<
507
508.c.obj:
509@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
510@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
511@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
512@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
513@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
514
515getdate-error.o: error.c
516@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getdate-error.o -MD -MP -MF "$(DEPDIR)/getdate-error.Tpo" -c -o getdate-error.o `test -f 'error.c' || echo '$(srcdir)/'`error.c; \
517@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/getdate-error.Tpo" "$(DEPDIR)/getdate-error.Po"; else rm -f "$(DEPDIR)/getdate-error.Tpo"; exit 1; fi
518@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='error.c' object='getdate-error.o' libtool=no @AMDEPBACKSLASH@
519@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
520@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getdate-error.o `test -f 'error.c' || echo '$(srcdir)/'`error.c
521
522getdate-error.obj: error.c
523@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getdate-error.obj -MD -MP -MF "$(DEPDIR)/getdate-error.Tpo" -c -o getdate-error.obj `if test -f 'error.c'; then $(CYGPATH_W) 'error.c'; else $(CYGPATH_W) '$(srcdir)/error.c'; fi`; \
524@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/getdate-error.Tpo" "$(DEPDIR)/getdate-error.Po"; else rm -f "$(DEPDIR)/getdate-error.Tpo"; exit 1; fi
525@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='error.c' object='getdate-error.obj' libtool=no @AMDEPBACKSLASH@
526@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
527@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getdate-error.obj `if test -f 'error.c'; then $(CYGPATH_W) 'error.c'; else $(CYGPATH_W) '$(srcdir)/error.c'; fi`
528
529getdate-getdate.o: getdate.c
530@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getdate-getdate.o -MD -MP -MF "$(DEPDIR)/getdate-getdate.Tpo" -c -o getdate-getdate.o `test -f 'getdate.c' || echo '$(srcdir)/'`getdate.c; \
531@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/getdate-getdate.Tpo" "$(DEPDIR)/getdate-getdate.Po"; else rm -f "$(DEPDIR)/getdate-getdate.Tpo"; exit 1; fi
532@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='getdate.c' object='getdate-getdate.o' libtool=no @AMDEPBACKSLASH@
533@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
534@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getdate-getdate.o `test -f 'getdate.c' || echo '$(srcdir)/'`getdate.c
535
536getdate-getdate.obj: getdate.c
537@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getdate-getdate.obj -MD -MP -MF "$(DEPDIR)/getdate-getdate.Tpo" -c -o getdate-getdate.obj `if test -f 'getdate.c'; then $(CYGPATH_W) 'getdate.c'; else $(CYGPATH_W) '$(srcdir)/getdate.c'; fi`; \
538@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/getdate-getdate.Tpo" "$(DEPDIR)/getdate-getdate.Po"; else rm -f "$(DEPDIR)/getdate-getdate.Tpo"; exit 1; fi
539@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='getdate.c' object='getdate-getdate.obj' libtool=no @AMDEPBACKSLASH@
540@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
541@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getdate-getdate.obj `if test -f 'getdate.c'; then $(CYGPATH_W) 'getdate.c'; else $(CYGPATH_W) '$(srcdir)/getdate.c'; fi`
542
543getdate-progname.o: progname.c
544@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getdate-progname.o -MD -MP -MF "$(DEPDIR)/getdate-progname.Tpo" -c -o getdate-progname.o `test -f 'progname.c' || echo '$(srcdir)/'`progname.c; \
545@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/getdate-progname.Tpo" "$(DEPDIR)/getdate-progname.Po"; else rm -f "$(DEPDIR)/getdate-progname.Tpo"; exit 1; fi
546@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='progname.c' object='getdate-progname.o' libtool=no @AMDEPBACKSLASH@
547@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
548@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getdate-progname.o `test -f 'progname.c' || echo '$(srcdir)/'`progname.c
549
550getdate-progname.obj: progname.c
551@am__fastdepCC_TRUE@	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getdate-progname.obj -MD -MP -MF "$(DEPDIR)/getdate-progname.Tpo" -c -o getdate-progname.obj `if test -f 'progname.c'; then $(CYGPATH_W) 'progname.c'; else $(CYGPATH_W) '$(srcdir)/progname.c'; fi`; \
552@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/getdate-progname.Tpo" "$(DEPDIR)/getdate-progname.Po"; else rm -f "$(DEPDIR)/getdate-progname.Tpo"; exit 1; fi
553@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='progname.c' object='getdate-progname.obj' libtool=no @AMDEPBACKSLASH@
554@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
555@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(getdate_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getdate-progname.obj `if test -f 'progname.c'; then $(CYGPATH_W) 'progname.c'; else $(CYGPATH_W) '$(srcdir)/progname.c'; fi`
556
557.y.c:
558	$(SHELL) $(YLWRAP) $< y.tab.c $@ y.tab.h $*.h y.output $*.output -- $(YACCCOMPILE)
559uninstall-info-am:
560
561ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
562	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
563	unique=`for i in $$list; do \
564	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
565	  done | \
566	  $(AWK) '    { files[$$0] = 1; } \
567	       END { for (i in files) print i; }'`; \
568	mkid -fID $$unique
569tags: TAGS
570
571TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
572		$(TAGS_FILES) $(LISP)
573	tags=; \
574	here=`pwd`; \
575	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
576	unique=`for i in $$list; do \
577	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
578	  done | \
579	  $(AWK) '    { files[$$0] = 1; } \
580	       END { for (i in files) print i; }'`; \
581	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
582	  test -n "$$unique" || unique=$$empty_fix; \
583	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
584	    $$tags $$unique; \
585	fi
586ctags: CTAGS
587CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
588		$(TAGS_FILES) $(LISP)
589	tags=; \
590	here=`pwd`; \
591	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
592	unique=`for i in $$list; do \
593	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
594	  done | \
595	  $(AWK) '    { files[$$0] = 1; } \
596	       END { for (i in files) print i; }'`; \
597	test -z "$(CTAGS_ARGS)$$tags$$unique" \
598	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
599	     $$tags $$unique
600
601GTAGS:
602	here=`$(am__cd) $(top_builddir) && pwd` \
603	  && cd $(top_srcdir) \
604	  && gtags -i $(GTAGS_ARGS) $$here
605
606distclean-tags:
607	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
608
609check-TESTS: $(TESTS)
610	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
611	srcdir=$(srcdir); export srcdir; \
612	list='$(TESTS)'; \
613	if test -n "$$list"; then \
614	  for tst in $$list; do \
615	    if test -f ./$$tst; then dir=./; \
616	    elif test -f $$tst; then dir=; \
617	    else dir="$(srcdir)/"; fi; \
618	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
619	      all=`expr $$all + 1`; \
620	      case " $(XFAIL_TESTS) " in \
621	      *" $$tst "*) \
622		xpass=`expr $$xpass + 1`; \
623		failed=`expr $$failed + 1`; \
624		echo "XPASS: $$tst"; \
625	      ;; \
626	      *) \
627		echo "PASS: $$tst"; \
628	      ;; \
629	      esac; \
630	    elif test $$? -ne 77; then \
631	      all=`expr $$all + 1`; \
632	      case " $(XFAIL_TESTS) " in \
633	      *" $$tst "*) \
634		xfail=`expr $$xfail + 1`; \
635		echo "XFAIL: $$tst"; \
636	      ;; \
637	      *) \
638		failed=`expr $$failed + 1`; \
639		echo "FAIL: $$tst"; \
640	      ;; \
641	      esac; \
642	    else \
643	      skip=`expr $$skip + 1`; \
644	      echo "SKIP: $$tst"; \
645	    fi; \
646	  done; \
647	  if test "$$failed" -eq 0; then \
648	    if test "$$xfail" -eq 0; then \
649	      banner="All $$all tests passed"; \
650	    else \
651	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
652	    fi; \
653	  else \
654	    if test "$$xpass" -eq 0; then \
655	      banner="$$failed of $$all tests failed"; \
656	    else \
657	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
658	    fi; \
659	  fi; \
660	  dashes="$$banner"; \
661	  skipped=""; \
662	  if test "$$skip" -ne 0; then \
663	    skipped="($$skip tests were not run)"; \
664	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
665	      dashes="$$skipped"; \
666	  fi; \
667	  report=""; \
668	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
669	    report="Please report to $(PACKAGE_BUGREPORT)"; \
670	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
671	      dashes="$$report"; \
672	  fi; \
673	  dashes=`echo "$$dashes" | sed s/./=/g`; \
674	  echo "$$dashes"; \
675	  echo "$$banner"; \
676	  test -z "$$skipped" || echo "$$skipped"; \
677	  test -z "$$report" || echo "$$report"; \
678	  echo "$$dashes"; \
679	  test "$$failed" -eq 0; \
680	else :; fi
681
682distdir: $(DISTFILES)
683	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
684	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
685	list='$(DISTFILES)'; for file in $$list; do \
686	  case $$file in \
687	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
688	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
689	  esac; \
690	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
691	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
692	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
693	    dir="/$$dir"; \
694	    $(mkdir_p) "$(distdir)$$dir"; \
695	  else \
696	    dir=''; \
697	  fi; \
698	  if test -d $$d/$$file; then \
699	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
700	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
701	    fi; \
702	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
703	  else \
704	    test -f $(distdir)/$$file \
705	    || cp -p $$d/$$file $(distdir)/$$file \
706	    || exit 1; \
707	  fi; \
708	done
709check-am: all-am
710	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
711	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
712check: $(BUILT_SOURCES)
713	$(MAKE) $(AM_MAKEFLAGS) check-am
714all-am: Makefile $(LIBRARIES)
715installdirs:
716install: $(BUILT_SOURCES)
717	$(MAKE) $(AM_MAKEFLAGS) install-am
718install-exec: install-exec-am
719install-data: install-data-am
720uninstall: uninstall-am
721
722install-am: all-am
723	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
724
725installcheck: installcheck-am
726install-strip:
727	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
728	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
729	  `test -z '$(STRIP)' || \
730	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
731mostlyclean-generic:
732	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
733
734clean-generic:
735
736distclean-generic:
737	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
738	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
739
740maintainer-clean-generic:
741	@echo "This command is intended for maintainers to use"
742	@echo "it deletes files that may require special tools to rebuild."
743	-rm -f getdate.c
744	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
745	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
746clean: clean-am
747
748clean-am: clean-checkPROGRAMS clean-generic clean-noinstLIBRARIES \
749	mostlyclean-am
750
751distclean: distclean-am
752	-rm -rf $(DEPDIR) ./$(DEPDIR)
753	-rm -f Makefile
754distclean-am: clean-am distclean-compile distclean-generic \
755	distclean-local distclean-tags
756
757dvi: dvi-am
758
759dvi-am:
760
761html: html-am
762
763info: info-am
764
765info-am:
766
767install-data-am:
768
769install-exec-am:
770
771install-info: install-info-am
772
773install-man:
774
775installcheck-am:
776
777maintainer-clean: maintainer-clean-am
778	-rm -rf $(DEPDIR) ./$(DEPDIR)
779	-rm -f Makefile
780maintainer-clean-am: distclean-am maintainer-clean-generic
781
782mostlyclean: mostlyclean-am
783
784mostlyclean-am: mostlyclean-compile mostlyclean-generic
785
786pdf: pdf-am
787
788pdf-am:
789
790ps: ps-am
791
792ps-am:
793
794uninstall-am: uninstall-info-am
795
796.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
797	clean-checkPROGRAMS clean-generic clean-noinstLIBRARIES ctags \
798	distclean distclean-compile distclean-generic distclean-local \
799	distclean-tags distdir dvi dvi-am html html-am info info-am \
800	install install-am install-data install-data-am install-exec \
801	install-exec-am install-info install-info-am install-man \
802	install-strip installcheck installcheck-am installdirs \
803	maintainer-clean maintainer-clean-generic mostlyclean \
804	mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
805	tags uninstall uninstall-am uninstall-info-am
806
807
808# We need the following in order to create <alloca.h> when the system
809# doesn't have one that works with the given compiler.
810alloca.h: alloca_.h
811	cp $(srcdir)/alloca_.h $@-t
812	mv $@-t $@
813
814# We need the following in order to create <fnmatch.h> when the system
815# doesn't have one that supports the required API.
816fnmatch.h: fnmatch_.h
817	cp $(srcdir)/fnmatch_.h $@-t
818	mv $@-t $@
819
820# We need the following in order to create <getopt.h> when the system
821# doesn't have one that works with the given compiler.
822getopt.h: getopt_.h
823	cp $(srcdir)/getopt_.h $@-t
824	mv $@-t $@
825
826# We need the following in order to create an <getopt.h> when the system
827# doesn't have one that works with the given compiler.
828all-local $(libcvs_a_OBJECTS): $(GLOB_H)
829glob.h: glob_.h
830	cp $(srcdir)/glob_.h $@-t
831	mv $@-t $@
832
833# We need the following in order to create <stdbool.h> when the system
834# doesn't have one that works.
835stdbool.h: stdbool_.h
836	sed -e 's/@''HAVE__BOOL''@/$(HAVE__BOOL)/g' \
837		< $(srcdir)/stdbool_.h > $@-t
838	mv $@-t $@
839
840# We need the following in order to create <stdint.h> when the system
841# doesn't have one that works with the given compiler.
842stdint.h: stdint_.h
843	sed -e 's/@''HAVE_LONG_64BIT''@/$(HAVE_LONG_64BIT)/g;s/@''HAVE_LONG_LONG_64BIT@/$(HAVE_LONG_LONG_64BIT)/g' < $(srcdir)/stdint_.h > $@-t
844	mv $@-t $@
845
846# Until Automake gets its act together
847distclean-local:
848	rm -f fnmatch.h
849
850# for backwards compatibility with the old makefiles
851realclean: maintainer-clean
852.PHONY: realclean
853# Tell versions [3.59,3.63) of GNU make to not export all variables.
854# Otherwise a system limit (for SysV at least) may be exceeded.
855.NOEXPORT:
856